#include "TestApp.h"
#include <string.h>
#include <stdio.h>

TestApp::TestApp()  
	: BApplication("application/x-vnd.f3c-testapp") {
}

void TestApp::ReadyToRun() {
	float count=0;

	for(;;) {
		snooze(100000);

		// generate the message 
		BMessage *msg = new BMessage('stat');
		
		// these are optional
		if (count==0) {
			//msg->AddFloat("pulse_rate", 300000);
			//msg->AddPoint("window_position", BPoint(10,10));
		}

		// add id
		msg->AddString("id", "TestApp");

		// add three values (the last one double speed)
		msg->AddFloat("linear count", count);
		msg->AddFloat("sin(count)", sin(count/10));
		msg->AddFloat("cos(count)", cos(count/10));
		msg->AddFloat("cos(count)", cos(count/10+(1.0/20)));

		// send the msg
		status_t err = be_roster->Launch("application/x-vnd.f3c-lifestat", msg);
		printf("Status: %s\n", strerror( err ) );

		count++;
	}
}